language: node_js
sudo: false
cache:
  directories:
  - node_modules
node_js:
- '6.1'
env:
  matrix:
  - TEST_BROWSER_NAME=chrome TEST_BROWSER_OS='Windows 10,Linux,OS X 10.11'
  - TEST_BROWSER_NAME=firefox TEST_BROWSER_OS='Windows 10,Linux,OS X 10.11'
  - TEST_BROWSER_NAME='internet explorer' TEST_BROWSER_OS='Windows 10'
  - TEST_BROWSER_NAME=safari TEST_BROWSER_OS='OS X 10.11'
before_script: npm install -g karma-cli
addons:
  sauce_connect:
    username: "directxman12"
  jwt:
    secure: "d3ekMYslpn6R4f0ajtRMt9SUFmNGDiItHpqaXC5T4KI0KMEsxgvEOfJot5PiFFJWg1DSpJZH6oaW2UxGZ3duJLZrXIEd/JePY8a6NtT35BNgiDPgcp+eu2Bu3rhrSNg7/HEsD1ma+JeUTnv18Ai5oMFfCCQJx2J6osIxyl/ZVxA="
stages:
- test
- name: deploy
  if: tag is PRESENT
jobs:
  include:
  - stage: deploy
    script: skip
    before_script: skip
    deploy:
      provider: npm
      email: directxman12+npm@gmail.com
      api_key:
        secure: cIidkFmvkdmdwWsqBpxyPUCzBqgK8LhPiNxTrIfhwbUunMsJep9MiiBJtv8poVYG2Y4yfiZmqGn4nfetUdc/LDctd73j+/EM4Z/NUDexVAhJ+9/qCogvpJsSQ96VQo7yBceW4E1fBM3WCU0kcGToYIVSSrwvvRDtJfeYJf2Qqw0=
      on:
        tags: true
        repo: novnc/noVNC


